package cn.com.tenlion.systembase.controller.route.importantevent;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import cn.com.tenlion.systembase.service.importantevent.IImportantEventService;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;

import java.util.Arrays;
import java.util.List;
import java.util.Map;

/**
 * @ClassName: ImportantEventController
 * @Description: 重大事件
 * @Author: CodeFactory
 * @Date: 2021-10-11 17:21:48
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "重大事件路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/importantevent")
public class ImportantEventRouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("importantevent/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("importantevent/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("importantevent/list");
    }

    @GetMapping("list-view")
    public ModelAndView listView() {
        return new ModelAndView("importantevent/list-view");
    }

}